Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 687762 - www-servers/uwsgi : USE Flag 'ruby_targets_ruby23' not in IUSE
Summary: www-servers/uwsgi : USE Flag 'ruby_targets_ruby23' not in IUSE
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Ultrabug
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-06-10 02:47 UTC by Anton Bolshakov
Modified: 2021-10-22 05:41 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Anton Bolshakov 2019-06-10 02:47:06 UTC
Similar with: https://bugs.gentoo.org/667540

Please remove ruby23 from all uwsgi ebuilds as it is no longer in the tree.

--------------
emerge -1 www-servers/uwsgi


Calculating dependencies... done!
>>> Verifying ebuild manifests
>>> Emerging (1 of 1) www-servers/uwsgi-2.0.17::gentoo
>>> Installing (1 of 1) www-servers/uwsgi-2.0.17::gentoo
>>> Failed to execute postinst for www-servers/uwsgi-2.0.17
>>> Jobs: 1 of 1 complete                           Load avg: 1.27, 0.77, 0.54

 * Messages for package www-servers/uwsgi-2.0.17:

 * FAILED postinst: 1
 * Append the following options to the uwsgi call to load the respective language plugin:
 * ERROR: www-servers/uwsgi-2.0.17::gentoo failed (postinst phase):
 *   USE Flag 'ruby_targets_ruby23' not in IUSE for www-servers/uwsgi-2.0.17
 * 
 * Call stack:
 *          ebuild.sh, line  124:  Called pkg_postinst
 *        environment, line 5332:  Called use 'ruby_targets_ruby23'
 *   phase-helpers.sh, line  247:  Called die
 * The specific snippet of code:
 *                              die "USE Flag '${u}' not in IUSE for ${CATEGORY}/${PF}"
 * 
 * If you need support, post the output of `emerge --info '=www-servers/uwsgi-2.0.17::gentoo'`,
 * the complete build log and the output of `emerge -pqv '=www-servers/uwsgi-2.0.17::gentoo'`.
 * The complete build log is located at '/var/tmp/portage/www-servers/uwsgi-2.0.17/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/www-servers/uwsgi-2.0.17/temp/environment'.
 * Working directory: '/var/tmp/portage/www-servers/uwsgi-2.0.17/homedir'
 * S: '/var/tmp/portage/www-servers/uwsgi-2.0.17/work/uwsgi-2.0.17'

 * GNU info directory index is up-to-date.
Comment 1 Anton Bolshakov 2019-06-10 06:08:43 UTC
adding ruby team as well. It would be good to find a permanent solution.

Ruby team, could you help to clean up ruby targets from all ebuilds once you remove it from profile?
Comment 2 Hans de Graaff gentoo-dev 2019-06-10 07:31:11 UTC
The ruby-ng.eclass provides ruby_get_use_implementations and ruby_get_use_targets for this case. Both of them filter out obsolete or invalid implementations from USE_RUBY. Something like this should work:

for target in $(ruby_get_use_targets) ; do
  if use ${target} ; then 
    ...
  fi
done
Comment 3 Hans de Graaff gentoo-dev 2019-06-10 07:33:54 UTC
(In reply to Hans de Graaff from comment #2)
> The ruby-ng.eclass provides ruby_get_use_implementations and
> ruby_get_use_targets for this case. Both of them filter out obsolete or
> invalid implementations from USE_RUBY. Something like this should work:
> 
> for target in $(ruby_get_use_targets) ; do
>   if use ${target} ; then 
>     ...
>   fi
> done

Actually this looks more fitting for this particular case:

for ${ruby} in $(ruby_get_use_implementations) ; do
  elog ...
done

ruby_get_use_implementations take use into account so the if is no longer needed.
Comment 4 Anton Bolshakov 2019-08-01 14:09:57 UTC
Ping?
Comment 5 Larry the Git Cow gentoo-dev 2019-08-03 06:29:24 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2c8fe3dd4747bd3ad67f99d52e77f73dd87bf5da

commit 2c8fe3dd4747bd3ad67f99d52e77f73dd87bf5da
Author:     Hans de Graaff <graaff@gentoo.org>
AuthorDate: 2019-08-03 06:22:21 +0000
Commit:     Hans de Graaff <graaff@gentoo.org>
CommitDate: 2019-08-03 06:24:14 +0000

    www-servers/uwsgi: avoid using obsolete ruby targets
    
    Only use ruby targets that are still available, rather than those
    listed in USE_RUBY.
    
    Fixes: https://bugs.gentoo.org/687762
    Package-Manager: Portage-2.3.69, Repoman-2.3.16
    Signed-off-by: Hans de Graaff <graaff@gentoo.org>

 www-servers/uwsgi/uwsgi-2.0.17.1-r1.ebuild | 10 ++++------
 www-servers/uwsgi/uwsgi-2.0.17.1.ebuild    | 10 ++++------
 www-servers/uwsgi/uwsgi-2.0.17.ebuild      | 10 ++++------
 www-servers/uwsgi/uwsgi-2.0.18.ebuild      | 10 ++++------
 4 files changed, 16 insertions(+), 24 deletions(-)